Create agent data collection variable
Create agent data collection variable. See the OpenAPI-defined parameters, request body, and responses below.
POST
/AgentDataCollectionCreate agent data collection variable. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint cria uma nova variável de coleta de dados de agente com os dados fornecidos.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
This operation has no path, query, or header parameters.
Request body
Content type: application/json · Schema: AgentDataCollectionDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
value | string | No | — | nullable |
agentId | integer · int32 | No | — | — |
Example request
curl --request POST \
--url 'https://api.zild.ai/AgentDataCollection' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"name": "string",
"value": "string",
"agentId": 0
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Ferramenta criada com sucesso | application/json · AgentDataCollectionDto |
Example response (200):
{
"id": 0,
"name": "string",
"value": "string",
"agentId": 0
}
Data models
AgentDataCollectionDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
value | string | No | — | nullable |
agentId | integer · int32 | No | — | — |